NSX-T Data Center REST API

Create or Replace IPFIX DFW collection Config.

Create or replace IPFIX DFW profile. Config will start
forwarding data to provided IPFIX DFW collector.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/ipfix-dfw-profiles/{ipfix-dfw-profile-id}
Request Headers:
n/a
Query Parameters:
OverrideRequestParameters+
Request Body:
IPFIXDFWProfile+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/ipfix-dfw-profiles/profile1 { "ipfix_dfw_collector_profile_path": "/infra/ipfix-dfw-collector-profiles/profile1", "observation_domain_id": 344, "active_flow_export_timeout":40, "priority":771, "_revision" : 0 }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
IPFIXDFWProfile+

Example Response:

{ "ipfix_dfw_collector_profile_path": "/infra/ipfix-dfw-collector-profiles/profile1", "active_flow_export_timeout": 40, "observation_domain_id": 344, "priority": 771, "resource_type": "IPFIXDFWProfile", "id": "profile1", "display_name": "profile1", "path": "/infra/ipfix-dfw-profiles/profile1", "relative_path": "profile1", "parent_path": "/infra/ipfix-dfw-profiles/profile1", "marked_for_delete": false, "_create_user": "admin", "_create_time": 1545257663086, "_last_modified_user": "admin", "_last_modified_time": 1545259987846, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 1 }

Required Permissions:

crud

Feature:

policy_ipfix_dfw

Additional Errors: